Loading...
Searching...
No Matches
OBConformerFilter Class Referenceabstract
Conformer Searching

`#include <openbabel/conformersearch.h>`

Inheritance diagram for OBConformerFilter:
[legend]

## Public Member Functions

virtual bool | IsGood (const OBMol &mol, const RotorKey &key, double *coords)=0
virtual | ~OBConformerFilter ()=0

## Detailed Description

Interface used by OBConformerSearch for filtering conformers.

The OBConformerFilter class defines an interface used by the OBConformerSearch class. A conformer filter is used as a first selection method when generating conformers. A typical example is a steric filter to ensure atoms are never closer than some specified distance.

See also
  OBConformerSearch OBConformerFilters

Since
  2.3

## Constructor & Destructor Documentation

## ~OBConformerFilter()

~OBConformerFilter | ( |  | ) |

pure virtual

## Member Function Documentation

## IsGood()

virtual bool IsGood | ( | const OBMol & | mol,
|  | const RotorKey & | key,
|  | double * | coords )

pure virtual

Check if a conformer is good (i.e. passes the filter). The molecule, rotor key and coords are passed as parameters to this function and can be used for checking the confoormer.

Returns
  True if the conformer passes the filter.

Implemented in OBConformerFilters, and OBStericConformerFilter.

The documentation for this class was generated from the following files:

- conformersearch.h
- conformersearch.cpp